//
//  Copyright 2011 Canonical Ltd.
//	
//  This program is free software: you can redistribute it and/or modify it
//  under the terms of the GNU Affero General Public License version 3,
//  as published by the Free Software Foundation.
//	
//  This program is distributed in the hope that it will be useful, but
//  WITHOUT ANY WARRANTY; without even the implied warranties of
//  MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
//  PURPOSE.  See the GNU Affero General Public License for more details.
//
//  You should have received a copy of the GNU Affero General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.

#import "U1FileNode.h"


@implementation U1FileNode

- (void)updatePropertiesFromJSONDictionary:(NSDictionary*)jsonDictionary;
{
	[super updatePropertiesFromJSONDictionary:jsonDictionary];
	self.size = [[jsonDictionary objectForKey:@"size"] copy];
	self.isPublic = [[jsonDictionary objectForKey:@"is_public"] copy];
	NSString *url = [jsonDictionary objectForKey:@"public_url"];
	if (url != (id)[NSNull null])
		self.publicURLString = [url copy];
}

- (BOOL)isFile;
{
	return YES;
}

@end
