//
//  Copyright 2011 Canonical Ltd.
//	
//  This program is free software: you can redistribute it and/or modify it
//  under the terms of the GNU Affero General Public License version 3,
//  as published by the Free Software Foundation.
//	
//  This program is distributed in the hope that it will be useful, but
//  WITHOUT ANY WARRANTY; without even the implied warranties of
//  MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
//  PURPOSE.  See the GNU Affero General Public License for more details.
//
//  You should have received a copy of the GNU Affero General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.

#import "U1FolderItemCell.h"

#import "U1ViewNibLoader.h"


@implementation U1FolderItemCell

@synthesize iconImageView, nameLabel, detailLabel, uploadIndicator;

+ (U1FolderItemCell*)cellForTableView:(UITableView*)tableView;
{
	U1FolderItemCell *cell = (id)[tableView dequeueReusableCellWithIdentifier:NSStringFromClass(self)];
	if (!cell)
	{
		cell = [U1ViewNibLoader viewFromNib:NSStringFromClass(self)];
	}
	return cell;
}

- (void)dealloc
{
	[iconImageView release];
	[nameLabel release];
	[detailLabel release];
	[uploadIndicator release];
    [super dealloc];
}

@end
